﻿@using System.Web.UI.WebControls;

@using DevExpress.Web.Mvc;
@using DevExpress.Web.Mvc.UI;
@using DevExpress.Utils;

@using Portal.Models.Receiving.TruckReceiving;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.Html.Helper
@using Toyota.Common.Web.MVC;
@using Portal.Models.Receiving.ReceivingProgress;


<table border="0" cellspacing="2" cellpadding="2">
    <tr>
        <td>
            Order
        </td>
        @foreach (var l in ((List<ReceivingProgressData>)ViewBag.ListProgress))
        {
            <td width ="40" align="right">@l.TOTAL</td>
        }
        
    </tr>
    <tr bgcolor="#DEECFD">
        <td>
            Receive
        </td>
        @foreach (var l in ((List<ReceivingProgressData>)ViewBag.ListProgress))
        {
            <td align="right">@l.PROGRESS</td>
        }
    </tr>
    <tr>
        <td>
            <div class="vert">
                Progress
            </div>
        </td>

        
        @foreach (var l in ((List<ReceivingProgressData>)ViewBag.ListProgress))
        {
            @*@if(l.PROGRESS==l.TOTAL){background-color:#00FF01}else{background-color:#ffcc00}*@
            string color_cls = "";
            float PROGRESS = l.PROGRESS;
            float TOTAL = l.TOTAL;
            float CURR_PROG = PROGRESS / TOTAL * 100;
            float HEIGHT = 280 * CURR_PROG / 100;
            string cls = "bar_" + l.P_LANE_SEQ;
            double progs = Math.Round(CURR_PROG, 0);
            if (progs <= 10)
            {
                color_cls = "c10";
            }
            else if (progs > 10 && progs <= 20)
            {
                color_cls = "c20";
            }
            else if (progs > 20 && progs <= 30)
            {
                color_cls = "c30";
            }
            else if (progs > 30 && progs <= 40)
            {
                color_cls = "c40";
            }
            else if (progs > 40 && progs <= 50)
            {
                color_cls = "c50";
            }
            else if (progs > 50 && progs <= 60)
            {
                color_cls = "c60";
            }
            else if (progs > 60 && progs <= 70)
            {
                color_cls = "c70";
            }
            else if (progs > 70 && progs <= 80)
            {
                color_cls = "c80";
            }
            else if (progs > 80 && progs <= 90)
            {
                color_cls = "c90";
            }
            else if (progs > 90 && progs < 100)
            {
                color_cls = "c90_1";
            }
            else
            {
                color_cls = "c100";
            }
            
            <td class="bar-area" align="center">
                <div style="width: 20px; height: @Math.Round(HEIGHT, 0)px;" class="@cls @color_cls">
                    <div class="sum-tip">
                        @Math.Round(CURR_PROG, 0)%
                    </div>
                    &nbsp;
                </div>
            </td>
        }
        
        
    </tr>
    <tr bgcolor ="#DEECFD">
        <td>
            P-Lane
        </td>
        @foreach (var l in ((List<ReceivingProgressData>)ViewBag.ListProgress))
        {
            <td align="right">@l.P_LANE_SEQ</td>

        }
    </trbgcolor>
    <!--<tr bgcolor="#DEECFD">
        <td>
            User Lane
        </td>
        <td>
            01
        </td>
        <td>
            02
        </td>
        <td>
            03
        </td>
        <td>
            04
        </td>
        <td>
            05
        </td>
        <td>
            06
        </td>
        <td>
            07
        </td>
        <td>
            08
        </td>
        <td>
            09
        </td>
        <td>
            10
        </td>
        <td>
            11
        </td>
        <td>
            12
        </td>
        <td>
            13
        </td>
        <td>
            14
        </td>
        <td>
            15
        </td>
        <td>
            16
        </td>
    </tr>-->
</table>